
var article_order_param_name = "order";
var article_filter_param_name = "filter";
var article_class_filter_param_name = "class_id";
var article_special_filter_param_name = "special_id";

var article_page_num_param_name = "pn";

var article_class_order_select_param_name = "order_parent";

function article_order(){
	var e = event.srcElement;
	this.location.search = addSearch("URL",article_order_param_name,e.value);
}

function article_filter(){
	var e = event.srcElement;
	var tmp = removeSearch("URL",article_page_num_param_name);  
	this.location.search = addSearch(tmp,article_filter_param_name,e.value);
}

function article_class_filter(){
	var e = event.srcElement;
	var tmp = removeSearch("URL",article_page_num_param_name);
	this.location.search = addSearch(tmp,article_class_filter_param_name,e.value);
}


function special_filter(){
	var e = event.srcElement;
	var tmp = removeSearch("URL",article_page_num_param_name);
	this.location.search = addSearch(tmp,article_special_filter_param_name,e.value);
}


function delFromSelected(form){
	if (! window.confirm("您确定要将选定的文章放入回收站吗？")){
		return;
	}
	
	form.action = "../../do?action=delArticleToRecycleBin&delType=multi";
	form.submit();
}

function moveFromSelected(form){
	if (! window.confirm("您确定要移动选定的文章吗？")){
		return;
	}
	
	form.action = "../../do?action=moveArticle";
	form.submit();
}



function auditingFromSelected(form){
	if (! window.confirm("您确定要审核通过选定的文章吗？")){
		return;
	}
	
	form.action = "../../do?action=auditingArticle&operType=multi";
	form.submit();
}



function moveArticleToSpecialFromSelected(form){
	if (! window.confirm("您确定要将选定的文章移动到专题中吗？")){
		return;
	}
	
	form.action = "../../do?action=moveArticleToSpecial&operType=multi";
	form.submit();
}


function resumeAllArticleFromRecycleBin(form){
	if (! window.confirm("您确定要从回收站中恢复所有信息吗?")){
		return;
	}
	
	form.action = "../../do?action=resumeAllArticle";
	form.submit();
}


function resumeArticleFromRecycleBin(form){
	if (! window.confirm("您确定要将此文章从回收站中恢复吗？")){
		return;
	}
	
	form.action = "../../do?action=resumeArticle&operType=multi";
	form.submit();
}


function delAllArticleFromRecycleBin(form){
	if (! window.confirm("您确定要清空回收站吗？")){
		return;
	}
	
	form.action = "../../do?action=delAllArticle";
	form.submit();
}


function delArticleFromRecycleBin(form){
	if (! window.confirm("您确定要将此信息从回收站中彻底删除吗？")){
		return;
	}
	
	form.action = "../../do?action=delArticleFromRecycleBin&operType=multi";
	form.submit();
}



function article_class_order_select(){
	var e = event.srcElement;
	var tmp = removeSearch("URL",article_class_order_select_param_name);
	this.location.search = addSearch(tmp,article_class_order_select_param_name,e.value);
}